# Uses of Class
jebl.math.MatrixCalcException.NotSquareMatrixException

Packages that use MatrixCalcException.NotSquareMatrixException
Package
Description
jebl.math

## Uses of MatrixCalcException.NotSquareMatrixException in jebl.math

Methods in jebl.math that throw MatrixCalcException.NotSquareMatrixException
Modifier and Type
Method
Description
`static double[][]`
MatrixCalc.`choleskyFactor(double[][] inMatrix)`
Cholesky factorization (aka Cholesky Decomposition) This factorization can be used when square matrix is symmetric and positive definite.
`static double[]`
MatrixCalc.`choleskySolve(double[][] matrix, double[] vector)`
Cholesky solve Once the matrix is decomposed with the above routine, one can solve the triangular factor with backsubstitution.